{% include('sysma-object/sysmaObjectBackButton.twig') %}

<h2>Création d'un objet photo</h2>

<form method="post" action="#" id="{{ 'FormNouvellePhoto' ~ sysma_object_id }}" enctype="multipart/form-data" novalidate>
    <div class='form-group'>
        <label>Type</label>

        <select name="photo_type" id="photo_type" class='form-control'>
            <option value=""></option>
            {% if PHOTO_PWG_MODE == 'on' %}
                <option value="photo">Photo Piwigo</option>
                <option value="folder">Dossier Piwigo</option>
            {% endif %}
            {% if PHOTO_UPLOAD_MODE == 'on' %}
                <option value="photo_upload">Photo à téléverser</option>
            {% endif %}
        </select>
    </div>

    <div id="photo_id_group" style="display:none" class='form-group'>
        <label>Numéro de la photo</label>
        <input name="photo_id" value="" class="form-control" required="required" type="number" data-toggle="tooltip" data-placement="bottom" title="A repérer dans la photothèque" />
    </div>

    <div id="photo_file_group" style="display:none">

        <input id="photoqual" type="checkbox" /> <b>Cochez si vous envoyez la photo depuis un smartphone</b><br>
            (les photos seront redimensionnées pour faciliter l'envoi depuis une connexion mobile)<br><br>

        <div  class='form-group'>
            <label>Fichier photo</label>
            <input name="photo_file" id="photo_file" class="form-control"  type="file" accept="image/jpeg;capture=camera"  />
        </div>

        <div class='form-group'>
            <label>Titre de la photo (optionnel)</label>
            <input name="photo_title" id="photo_title" value="" class="form-control" />
        </div> 
        <div class='form-group'>
            <label>Date de la photo (optionnel)</label>
            <input name="photo_date" id="photo_date" value="{{ 'now'|date('Y-m-d') }}" type="date" class="form-control" />
        </div>
    </div>

    <div id="photo_options_group" style="display:none" >
        <div class='form-group'>
            <label>Ordre</label>
            <input name="display_order" id="display_order" value="1" class="form-control" required="required" type="number" data-toggle="tooltip" data-placement="bottom" title="La photo d'order 1 est la photo principale illustrant l'objet" />
        </div>



        <div class='form-group'>
            <label>Avant / pendant / après (optionnel) </label>
            <select name="before_after" id="before_after" class='form-control'>
                <option value="">
                </option>
                <option value="before">Photo avant intervention</option>
                <option value="during">Photo pendant intervention</option>
                <option value="after">Photo après intervention</option>
            </select>
        </div>

        <button type="submit"  id="boutonCreePhotoObject" class="btn btn-primary btn-block"> Enregistrer </button>
        <div href="#"  id="boutonUploadPhotoObject" class="btn btn-primary" onclick="handleFiles()"> Téléverser </div>

    </div>
    <input name="sysma_object_id"  id="sysma_object_id" value="{{sysma_object_id}}" type="hidden" />   
    <input name="photo_object_id" id="photo_object_id" value="{{photo_object_id}}" type="hidden" />   

    <div id="res" class="text-info"></div>


</form>


<script>
    $('#photo_type').on('change', function (object)
    {

        if (object.target.value == 'photo_upload')
        {
            $('#photo_file_group').css('display', 'block');
            $('#photo_id_group').css('display', 'none');
            $('#boutonCreePhotoObject').css('display', 'none');
            $('#boutonUploadPhotoObject').css('display', 'block');
            $('#photo_options_group').css('display', 'block');
        } else if (object.target.value == 'photo' || object.target.value == 'folder')
        {
            $('#photo_id_group').css('display', 'block');
            $('#photo_file_group').css('display', 'none');
            $('#photo_options_group').css('display', 'block');
             $('#boutonCreePhotoObject').css('display', 'block');
            $('#boutonUploadPhotoObject').css('display', 'none');
        } else
        {
            $('#photo_id_group').css('display', 'none');
            $('#photo_file_group').css('display', 'none');
            $('#photo_options_group').css('display', 'none');
        }
    });

    //

    $('#boutonCreePhotoObject').on('click', function (event)
    {
        event.preventDefault();
        if ( ($('#photo_file').prop('files') !== undefined && $('#photo_file').prop('files').length ==1) || $('#photo_type').val() !== 'photo_upload') {
            $('#boutonCreePhotoObject').toggleClass('btn-primary');
            $('#boutonCreePhotoObject').toggleClass('btn-default');
            $('#boutonCreePhotoObject').html('<img src="/img/loader2.gif" /> Envoi en cours');
            sendFormAndRedirectAndMove('FormNouvellePhoto{{ sysma_object_id }}', '{{ url('photo-object-create-commit') }}', 'id_PhotoObject={{photo_object_id}}&id={{ sysma_object_id }}', '{{ url('object') }}', 'objet', event, 'PhotoObject{{photo_object_id}}');
        }
    });

    //
    $(function ()
    {
        $('[data-toggle="tooltip"]').tooltip()
    })


       function handleFiles()
                    {

                        var dataurl = null;
                        var filesToUpload = document.getElementById('photo_file').files;
                        var file = filesToUpload[0];

                        console.log(file) ;



                        // Create an image
                        var img = document.createElement("img");





                        // Create a file reader
                        var reader = new FileReader();
                        // Set the image once loaded into file reader
                        reader.onload = function (e)
                        {
                            img.src = e.target.result;

                            $('#boutonUploadPhotoObject').toggleClass('btn-primary');
                            $('#boutonUploadPhotoObject').toggleClass('btn-default');
                            $('#boutonUploadPhotoObject').html('<img src="/img/loader2.gif" /> Envoi en cours');

                            img.onload = function () {
                                var canvas = document.createElement("canvas");
                                var ctx = canvas.getContext("2d");
                                ctx.drawImage(img, 0, 0);


                                if ($('#photoqual').is(':checked')) {
                                    var MAX_WIDTH = 800;
                                    var MAX_HEIGHT = 800;
                                } else {
                                    var MAX_WIDTH = img.width;
                                    var MAX_HEIGHT = img.height;
                                }
                                var width = img.width;
                                var height = img.height;

                                if (width > height) {
                                    if (width > MAX_WIDTH) {
                                        height *= MAX_WIDTH / width;
                                        width = MAX_WIDTH;
                                    }
                                } else {
                                    if (height > MAX_HEIGHT) {
                                        width *= MAX_HEIGHT / height;
                                        height = MAX_HEIGHT;
                                    }
                                }
                                canvas.width = width;
                                canvas.height = height;
                                var ctx = canvas.getContext("2d");
                                ctx.drawImage(img, 0, 0, width, height);

                                dataurl = canvas.toDataURL("image/jpeg");

                                // Post the data
                                var fd = new FormData();                               
                                fd.append("photo_file", dataurl);
                                fd.append("photo_object_id", document.getElementById('photo_object_id').value);
                                fd.append("photo_type", document.getElementById('photo_type').value);
                                fd.append("photo_title", document.getElementById('photo_title').value);
                                fd.append("photo_date", document.getElementById('photo_date').value);
                                fd.append("display_order", document.getElementById('display_order').value);
                                fd.append("before_after", document.getElementById('before_after').value);
                                fd.append("sysma_object_id", document.getElementById('sysma_object_id').value);
                                
                                $.ajax({
                                    url: '{{ url('photo-object-create-commit') }}',
                                    data: fd,
                                    cache: false,
                                    contentType: false,
                                    processData: false,
                                    type: 'POST',
                                    success: function (data) {
                                        // console.log(data) ;
                                        $('#res').html('Envoi terminé');
                                        sendDataAndMoveToElement('id_PhotoObject={{photo_object_id}}&id={{ sysma_object_id }}','{{ url('object')}}','objet',event, true, 'PhotoObject{{photo_object_id}}');
                                       
                                    }
                                });
                            } // img.onload
                        }
                        // Load files into file reader
                        reader.readAsDataURL(file);
                    }
</script>
